/*
	Licensed Material - Property of IBM

	(C) Copyright 2015 IBM Corp.

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/


/*jslint node:true */
/*jshint node:true */

'use strict';

function define(name, value) {
    Object.defineProperty(exports, name, {
        value: value,
        enumerable: true
    });
}

// Module name
define('MODULE', 'exec');

// Spawn callbacks
define('DATA', 'data');
define('CLOSE', 'close');
define('ERROR', 'error');

// Platform information for Windows
define('WIN', 'win32');
define('WIN_ARG_PREFIX', '/c');
define('WIN_CMD', 'cmd');

// Error codes
define('NO_PROCESS', 'NO_PROCESS');
